function but
global hEd1 hEd2 hEd3 hEd4 hEd5 hEd6
global hTex2 hTex3 hTex4  hTex6  hTex8  hTex10 hTex12 
global hbp1 hbp2 hbp3 hbm1 hbm2 hbm3 hbp4 hbp5 hbp6 hbm4 hbm5 hbm6 hStop hStart hResult hPauseon

%=============1==================
if gcbo==hbp1
    a1=str2num(get(hEd1,'String'));
    a1=a1+1;
    if a1>6
        a1=6;
    end;
       
    a1=num2str(a1);
    set(hEd1,'String',a1);
   
end;

if gcbo==hbm1
    a1=str2num(get(hEd1,'String'));
    a1=a1-1;
    if a1<=0
        a1=1;
    end;
    a1=num2str(a1);
    set(hEd1,'String',a1);
end;
%=============2=================
if gcbo==hbp2
    a2=str2num(get(hEd2,'String'));
    a2=a2+0.1;
    
    a2=num2str(a2);
    set(hEd2,'String',a2);
end;

if gcbo==hbm2
    a2=str2num(get(hEd2,'String'));
    a2=a2-0.1;
    if a2<=0
        a2=0.1;
    end;
    a2=num2str(a2);
    set(hEd2,'String',a2);
end;
%==============3================
if gcbo==hbp3
    a3=str2num(get(hEd3,'String'));
    a3=a3+0.1;
    
    a3=num2str(a3);
    set(hEd3,'String',a3);
end;

if gcbo==hbm3
    a3=str2num(get(hEd3,'String'));
    a3=a3-0.1;
    if a3<=0
        a3=0.1;
    end;
    a3=num2str(a3);
    set(hEd3,'String',a3);
end;
%=================================

%==============4================
if gcbo==hbp4
    a4=str2num(get(hEd4,'String'));
    a4=a4+1;
    
    a4=num2str(a4);
    set(hEd4,'String',a4);
end;

if gcbo==hbm4
    a4=str2num(get(hEd4,'String'));
    a4=a4-1;
    if a4<=0
        a4=1;
    end;
    a4=num2str(a4);
    set(hEd4,'String',a4);
end;
%=================================

%==============5================
if gcbo==hbp5
    a5=str2num(get(hEd5,'String'));
    a5=a5+1;
    
    a5=num2str(a5);
    set(hEd5,'String',a5);
end;

if gcbo==hbm5
    a5=str2num(get(hEd5,'String'));
    a5=a5-1;
    if a5<=0
        a5=1;
    end;
    a5=num2str(a5);
    set(hEd5,'String',a5);
end;
%=================================

%==============6================
if gcbo==hbp6
    a6=str2num(get(hEd6,'String'));
    a6=a6+1;
    
    a6=num2str(a6);
    set(hEd6,'String',a6);
end;

if gcbo==hbm6
    a6=str2num(get(hEd6,'String'));
    a6=a6-1;
    if a6<=0
        a6=1;
    end;
    a6=num2str(a6);
    set(hEd6,'String',a6);
end;
%=================================

if gcbo==hEd1
    x1=str2num(get(hEd1,'String'))
    if x1<=0
        x1=1;
    end;
    if x1>6
        x1=6;
    end;
    set(hEd1,'String',x1);
end;

if gcbo==hEd2
    x2=str2num(get(hEd2,'String'))
    if x2<=0
        x2=10;
    end;
    set(hEd2,'String',x2);
end;

if gcbo==hEd3
    x3=str2num(get(hEd3,'String'))
    if x3<=0
        x3=10;
    end;
    set(hEd3,'String',x3);
end;

if gcbo==hEd4
    x4=str2num(get(hEd4,'String'))
    if x4<=0
        x4=1;
    end;
    set(hEd4,'String',x4);
end;

if gcbo==hEd5
    x5=str2num(get(hEd5,'String'))
    if x5<=0
        x5=1;
    end;
    set(hEd5,'String',x5);
end;

if gcbo==hEd6
    x6=str2num(get(hEd6,'String'))
    if x6<=0
        x6=1;
    end;
    set(hEd6,'String',x6);
end;

